Subject: Maildir issues

From: Kevin DeGraaf <[email-masked]>
Date: Wed, 3 Jul 2002 13:08:09 -0400 (EDT)

What is the status on Pine's support for Maildir?

I applied a patch [1] to a vanilla 4.44 source tree, and Pine seems
content enough to read Maildirs, but there are some issues:

1. I was forced to symlink 'mail' to 'Maildir'; I couldn't convince Pine
(short of digging into the source) to accept a user-configured
directory for the mail folders.

2. I can't (S)ave mail into Maildirs.  Attempting this yields an error
message (">Unknown flag: U (garbage)<").

3. Is there any way to have Pine recognize Courier-IMAP's Maildir
subdirectory format in a coherent way?  I.e.:

.archive.foo
.archive.bar
.incoming.xyzzy
.incoming.baz
.blah.foo

should be rendered as:

INBOX/archive/foo
INBOX/archive/bar
INBOX/incoming/xyzzy
INBOX/incoming/baz
INBOX/blah/foo

I realize that I could have Pine work via an IMAP connection to 127.0.0.1,
but I'd like to get it working natively with Maildirs.  Any comments?

[1]: http://www.kevindegraaf.net/mirror/pine4.44-Maildir.patch

--
Kevin DeGraaf

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------